# Uses of Class
org.bukkit.FireworkEffect

Packages that use FireworkEffect
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.

## Uses of FireworkEffect in org.bukkit

Methods in org.bukkit that return FireworkEffect
Modifier and Type
Method
Description
`@NotNull FireworkEffect`
FireworkEffect.Builder.`build()`
Create a `FireworkEffect` from the current contents of this builder.

## Uses of FireworkEffect in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return FireworkEffect
Modifier and Type
Method
Description
`@Nullable FireworkEffect`
FireworkEffectMeta.`getEffect()`
Gets the firework effect for this meta.
Methods in org.bukkit.inventory.meta that return types with arguments of type FireworkEffect
Modifier and Type
Method
Description
`@NotNull List<FireworkEffect>`
FireworkMeta.`getEffects()`
Get the effects in this firework.
Methods in org.bukkit.inventory.meta with parameters of type FireworkEffect
Modifier and Type
Method
Description
`void`
FireworkMeta.`addEffect(@NotNull FireworkEffect effect)`
Add another effect to this firework.
`void`
FireworkMeta.`addEffects(@NotNull FireworkEffect... effects)`
Add several effects to this firework.
`void`
FireworkEffectMeta.`setEffect(@Nullable FireworkEffect effect)`
Sets the firework effect for this meta.
Method parameters in org.bukkit.inventory.meta with type arguments of type FireworkEffect
Modifier and Type
Method
Description
`void`
FireworkMeta.`addEffects(@NotNull Iterable<FireworkEffect> effects)`
Add several firework effects to this firework.